Get Account
curl --request GET \
--url https://api.stablepay.global/v2/account \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stablepay.global/v2/account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stablepay.global/v2/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Account
Get Account
Get your account information
GET
/
v2
/
account
Get Account
Get Account
Returns your account information.Request
curl https://api.stablepay.global/v2/account \
-H "Authorization: Bearer YOUR_API_KEY"
Response
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Acme Corp",
"email": "api@acme.com",
"environment": "production",
"status": "active",
"apiKeyPrefix": "pk_live_a1b2",
"webhookUrl": "https://acme.com/webhooks/stablepay",
"volume": {
"monthlyUsd": 125000,
"totalUsd": 1250000
},
"limits": {
"rateLimit": 100
}
}
}
Response Fields
| Field | Description |
|---|---|
name | Your account name |
email | Account email |
environment | sandbox or production |
status | Account status |
apiKeyPrefix | Your API key prefix |
webhookUrl | Your configured webhook URL |
volume.monthlyUsd | Volume processed this month |
volume.totalUsd | All-time volume processed |
limits.rateLimit | API requests per minute |
⌘I
